module.exports = function(grunt) {

  // Project configuration.
  grunt.initConfig({
    pkg: grunt.file.readJSON('package.json'),

    sass: {
      dist: {
        options: {
          style: 'compressed'
        },
        files: [{
          expand: true,
          cwd: 'assets/styles',
          src: ['**/*.scss'],
          dest: 'public/css',
          ext: '.css'
        }]
      }
    },

    watch: {
      css: {
        files: ['assets/styles/**/*.scss'],
        tasks: ['sass'],
        options: {
          atBegin: true,
          spawn: false
        }
      }
    }
  });

  // Load plugins.
  grunt.loadNpmTasks('grunt-contrib-watch');
  grunt.loadNpmTasks('grunt-contrib-sass');

  // CLI tasks.
  grunt.registerTask('default', ['sass']);

};
